.BG
.FN charmatch
.TL
Match based on Shortest Unique Identifier
.CS
charmatch(inputs, target)
.AG inputs
vector of strings to be matched against the target.
.AG target
set of keywords over which to search.
.RT
a vector of the same length as `inputs' giving, for each element of
`inputs', the position in `target' of the matching keyword.  If the
keyword was not found, then NA is returned.  If there was an ambiguous
match, then 0 is returned as the position.
.PP
This function is useful within other functions for matching an input
argument to a series of
alphabetic choices.  If target were c("logit", "loglog", "probit"), for
instance, then an input of "p" would return a 3, one of "log" would return
a 0, and one of "arctan" would return an NA.
.WR
